Error while installing nativescript npm install -g nativescript


#1

npm ERR! cb() never called!

npm ERR! This is an error with npm itself. Please report this error at:
npm ERR! https://npm.community

This is a very critical issue and have tried every step mentioned in other forums and stackoverflow. Still could not resolve this issue… :frowning: Can anyone help me to fix this issue?
Due to this issue the production of app is stopped and I could not proceed further…


#2

This looks like something with your local NPM, not with NativeScript.

Try force clean the NPM cache, that might fix the issue.


#3

Sir,
I have tried this
npm cache clean --force
after running the above command it shows me the below warning message
npm WARN using --force I sure hope you know what you are doing.
and returns to the console, also this does not removes the folder in \AppData\Roaming\npm-cache folder


#4

Previously my node version was 8.11.3 and npm version was 6.3.0
After downgrading my npm version to 5.0.0 (npm install -g npm@5.0.0) Nativescript installed successfully…
Why was this issue occurred ? Is there any specific bug in npm version 6.3.0?